List API tokens
GET /api/v1/api_token
GET
/api/v1/api_token
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” idempotency_key
One of:
IdempotencyKeyOrNull
Optional idempotency key for ensuring request idempotency
string
Null
Null
string
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nfAccount ID (defaults to token’s account)
sorting
pagination[offset]
pagination[page_size]
Responses
Section titled “ Responses ”Success
object
pagination
One of:
PaginationOutput
Pagination information
object
item_count
The total number of items
integer
item_end
The index of the last item in the page (one-based)
integer
item_start
The index of the first item in the page (one-based)
integer
next_page_offset
page_count
The total number of pages
integer
page_index
The index of the current page (one-based)
integer
page_offset
The offset of the first item in the page (zero-based)
integer
page_size
The number of items per page
integer
Example
{ "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80} Null
Null
string
sorting
status
string
Example
success summaries
Array<object>
ApiToken_Summaryobject
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nf created_by_admin_user_id
One of:
AdminUser_Id
A valid admin user ID
string
Example
013xrzp12g3nqk8nh0qrc2b1jfanmvb9 Null
Null
string
environment_id
One of:
Environment_Id
A valid environment ID
string
Example
013xrzp12g3nqk8nzxvq7jm2arsfg5h1 Null
Null
string
expires_at
When the token expires
string format: date-time
Example
2024-01-01T00:00:00Z id
ApiToken_Id
A valid API token ID
string
Example
013xrzp12g3nqk8n7f8f9jbg8d18q7tm inserted_at
When the token was created
string format: date-time
Example
2024-01-01T00:00:00Z last_used_at
status
Current status of the token
string
Example
active token_scope
Scope of the token
string
Example
account type
Type of resource (always ‘api_token’)
string
Example
api_token updated_at
When the token was last updated
string format: date-time
Example
2024-01-01T00:00:00Zdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error